Bug 145690 - Refresh button in the toolbar and/or menu
Summary: Refresh button in the toolbar and/or menu
Status: RESOLVED FIXED
Alias: None
Product: kphotoalbum
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: KPhotoAlbum Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-05-20 01:10 UTC by Risto H. Kurppa
Modified: 2007-10-16 10:42 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Risto H. Kurppa 2007-05-20 01:10:20 UTC
Version:            (using KDE KDE 3.5.6)
Installed from:    Compiled From Sources

I think having a refresh button in the toolbar (or at least menu) would be useful:

Imagine you having a thumbnail view of search results or result of intensive browsing. You open some images, mark them to be deleted or delete the files, maybe change some of the tags, remove some and add new.

Now, to see this same view you either have to re-open the search dialog and do the search again, or if you ended up there with the browser, you have to hit 'back' once and then do the last selection again.

Or just hit the 'refresh' -button - if there only was one.
Comment 1 Baptiste MATHUS 2007-09-15 15:29:56 UTC
I see what you mean. I admit this is something that could be useful. At the moment, when wanting to refresh, I click on the datebar to select only a part of the time (bottom of the bar), then anywhere in the bar to redisplay the refreshed filtered content :-). So, yeah, maybe we need an F5-style button to do it more logically :-).
Comment 2 Jan Kundrát 2007-10-11 23:31:10 UTC
SVN commit 724280 by jkt:

Added a "refresh" button that makes ThumbnailView update its view based on
real data (so that after selecting "no tokens" and then marking some pictures
with some tokens, you will see only those images that really match your
criteria).

FEATURE: 145690


 M  +2 -0      MainWindow/Window.cpp  
 M  +1 -0      kphotoalbumui.rc  


WebSVN link: http://websvn.kde.org/?view=rev&revision=724280
Comment 3 Baptiste MATHUS 2007-10-15 08:44:13 UTC
I updated my copy and recompiled: I now have two "View" menu (can provide screenshot if you will). The first contains the new "refresh" item, and the second contains the old preexisting options.

The problem also exists with the demo db. Could it be related to something in my conf?
Comment 4 Jan Kundrát 2007-10-15 12:20:10 UTC
Please run `make install` (and adjust $KDEDIRS) as well, there was a change in the kphotoalbumui.rc. If you don't install, kphotoalbum uses the system-wide one which is outdated.
Comment 5 Baptiste MATHUS 2007-10-16 08:20:34 UTC
OK, now it works, thanks.
I always run make && make install. However the system-wide kphotoalbumui.rc didn't seem to be used. So I replaced the one in /home/baptiste/.kde/share/apps/kphotoalbum/kphotoalbumui.rc by the system-wide one and it worked.

Is it a normal behaviour? For basic user even more, it seems to me that having to do this replace isn't really straightforward... Shouldn't the system try to merge this file if the system-wide becomes more recent that the copy in the user home directory?
Comment 6 Jan Kundrát 2007-10-16 10:42:11 UTC
There is no ~/.kde/share/apps/kphotoalbum/kphotoalbumui.rc on my system, perhaps this one is from some older version.